[arch-commits] Commit in gv/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Sat Jul 12 23:07:16 EDT 2008


    Date: Saturday, July 12, 2008 @ 23:07:16
  Author: eric
Revision: 4884

upgpkg: gv 3.6.5-1
    Upstream update

Modified:
  gv/trunk/ChangeLog
  gv/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   16 ++++++++--------
 2 files changed, 13 insertions(+), 8 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-07-13 02:50:45 UTC (rev 4883)
+++ ChangeLog	2008-07-13 03:07:16 UTC (rev 4884)
@@ -1,3 +1,8 @@
+2008-07-12  Eric Belanger  <eric at archlinux.org>
+
+	* gv 3.6.5-1
+	* Upstream update
+
 2008-06-13  Eric Belanger  <eric at archlinux.org>
 
 	* gv 3.6.4-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-13 02:50:45 UTC (rev 4883)
+++ PKGBUILD	2008-07-13 03:07:16 UTC (rev 4884)
@@ -1,9 +1,9 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
 # Contributor: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=gv
-pkgver=3.6.4
+pkgver=3.6.5
 pkgrel=1
 pkgdesc="A program to view PostScript and PDF documents"
 arch=('i686' 'x86_64')
@@ -11,16 +11,16 @@
 license=('GPL')
 depends=('xaw3d' 'ghostscript')
 source=(http://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz gv.desktop)
-md5sums=('34ea686ea499c938e152ab424859b903' 'cf04652952f2d0903bc7578b4826f50c')
-sha1sums=('fe11736ba4a31c7d1f27e3829e6e6765eee6eb31' 'c8230fe08ee6d22525678a97832f44941237d174')
+md5sums=('ce3081b1b3e6258607f2de70f39cbcd2' 'cf04652952f2d0903bc7578b4826f50c')
+sha1sums=('90d0bd5b8243108925d46ddf478c7499b475df3a' 'c8230fe08ee6d22525678a97832f44941237d174')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   sed -i -e "s:-dGraphicsAlphaBits=2:\0 -dAlignToPixels=0:" \
                 src/{gv_{class,user,system}.ad,Makefile.{am,in}} || return 1
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 ../gv.desktop ${startdir}/pkg/usr/share/applications/gv.desktop || return 1
-  install -D -m644 src/gv_icon.xbm ${startdir}/pkg/usr/share/pixmaps/gv.xbm || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../gv.desktop ${pkgdir}/usr/share/applications/gv.desktop || return 1
+  install -D -m644 src/gv_icon.xbm ${pkgdir}/usr/share/pixmaps/gv.xbm || return 1
 }





More information about the arch-commits mailing list